Ticket #12139: mpir-2.1.3.p7-p8.diff

File mpir-2.1.3.p7-p8.diff, 2.5 KB (added by Jeroen Demeyer, 11 years ago)

Diff for the mpir spkg, for review only

  • SPKG.txt

    # HG changeset patch
    # User Jeroen Demeyer <jdemeyer@cage.ugent.be>
    # Date 1323522872 -3600
    # Node ID 99dba51e64053e990d9ade3be4e9b5aee69cb0ac
    # Parent  71d13d778a440b20702d267131c73b7244687279
    Trac #12139: Disable parallel "make install"
    
    diff --git a/SPKG.txt b/SPKG.txt
    a b  
    2727         each upgrade.)
    2828 * Make sure the patches still apply; also, putting "-Wl,z,noexecstack"
    2929   into LDFLAGS might not be necessary for later versions.
    30  * The race condition in `make install` was fixed in MPIR 2.1.4, so the
    31    message regarding this could be removed; on the other hand it doesn't
    32    hurt. (Later MPIR releases could introduce similar problems.)
     30 * There is a race condition in `make install`, supposed to be fixed in
     31   MPIR 2.1.4.  Currently we work around this by installing with -j1.
    3332 * Perhaps make sure we still delete the correct files on 32-bit MacOS X
    3433   on Intel hardware (x86) to not break PIC there.
    3534 * Remove some files / directories not needed for Sage from upstream:
     
    4342
    4443== Changelog ==
    4544
     45=== mpir-2.1.3.p8 (Jeroen Demeyer, 10 December 2011) ===
     46 * #12139: Disable parallel "make install".
     47
    4648=== mpir-2.1.3.p7 (Leif Leonhardy, October 30th, 2011) ===
    4749 * #11964: Use ABI=mode64 instead of ABI=64 on Linux PPC64.
    4850
  • spkg-install

    diff --git a/spkg-install b/spkg-install
    a b  
    431431# Now install MPIR:
    432432###############################################################################
    433433
    434 $MAKE install
     434# Serial make since parallel is broken (#12139).
     435$MAKE -j1 install
    435436if [ $? -ne 0 ]; then
     437    echo >&2 "Error installing MPIR."
    436438    if [ "$UNAME" != "CYGWIN" ]; then  # On Cygwin an error is not fatal.
    437         echo "Error installing MPIR."
    438         # XXX This should be a temporary "solution":
    439         echo ""
    440         echo "If you see a message like:"
    441         cat <<EOF
    442     cp: cannot stat 'mpir.h': No such file or directory
    443     make[6]: *** [install-data-hook] Error 1
    444     make[6]: Leaving directory ...
    445     make[5]: *** [install-data-am] Error 2
    446     make[5]: *** Waiting for unfinished jobs....
    447 EOF
    448         echo "above, this is just due to a rare race condition."
    449         echo "Please simply rerun 'make' (or 'sage -i ...')."
    450         echo ""
    451439        exit 1
    452440    fi
    453441fi
     
    460448echo "    cd $SAGE_ROOT"
    461449echo "    env SAGE_UPGRADING=yes make"
    462450echo "but note that this will usually take quite a lot of time."
    463 
    464 # All errors catched above, on Cygwin we ignore the last:
    465 exit 0